Name: wmdrawer
Version: 0.10.2
Release: alt1

Packager: Denis Klykvin <nikon@altlinux.ru>

Summary: WindowMaker dockapp which provides a drawer to launch applications.
Summary(ru_RU.KOI8-R): Dockapp  WindowMaker   .

License: GPL
Group: Graphical desktop/Window Maker

Source0: %name-%version.tar.gz
Source1: %name.menu


# Automatically added by buildreq on Thu Jun 05 2003
BuildRequires: XFree86-devel gdk-pixbuf-devel glib-devel gtk+-devel

%description
       wmDrawer is a dock application (dockapp) which provides a drawer       
       (retractable button bar) to launch applications.                       
                                                                              
   * The drawer is retractable and animated.                                  
   * Several columns of buttons can be defined in the drawer.                 
   * The configuration file is automaticaly reloaded if it changes.           
   * Multiple instances of the program can run at the same time.              
   * The buttons can be highlighted under the mouse cursor.                   
   * A tooltip can be defined for each button.                                
   * The drawer can be transparent (need SHAPE extension).                    
   * Ability to launch several apps at once from the drawer. By               
     holding down the key Shift or by using mouse buttons middle or           
     right instead of left, you can keep the drawer opened.                   

%prep
%setup -q
%build
%make_build

%install
%make_install
install -D -pm 755 wmdrawer $RPM_BUILD_ROOT%_bindir/%name
install -D -pm 644 doc/wmdrawer.1x.gz $RPM_BUILD_ROOT%_man1dir/wmdrawer.1x.gz
%__mkdir_p $RPM_BUILD_ROOT%_docdir/%name-%version
install -D -pm 644 wmdrawerrc.example AUTHORS ChangeLog COPYING INSTALL README TODO $RPM_BUILD_ROOT%_docdir/%name-%version
install -D -pm 644 %SOURCE1 $RPM_BUILD_ROOT%_menudir/%name
%post
%update_menus

%postun
%clean_menus

%files
%_docdir/%name-%version/*
%_bindir/*
%_menudir/*
%_man1dir/*

%changelog
* Tue Jun 03 2003 Denis Klykvin <nikon@altlinux.ru> 0.10.2-alt1
- Initial build

